Bug Hunting Session
Bug 89104 - TEMPLATE MANAGER: Missing actions from toolbar
Summary: TEMPLATE MANAGER: Missing actions from toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-02-03 23:34 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:20 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
missing buttons on the left side of the toolbar (26.96 KB, image/png)
2015-02-03 23:34 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-02-03 23:34:40 UTC
Created attachment 113111 [details]
missing buttons on the left side of the toolbar

In master, the toolbar buttons that appear when selecting an item in the template manager are missing. This doesnt effect 4.4 daily.

Version: 4.5.0.0.alpha0+
Build ID: d1c9bd13ec7af93f5368dfda6d6d3c955f0b0816
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-01-28_00:25:56
Comment 1 Buovjaga 2015-02-07 19:44:04 UTC
Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 99c00b090533da9818444be2831b8da0e713e5f9
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-02-04_06:38:53
Locale: fi_FI
Comment 2 Matthew Francis 2015-02-16 11:00:21 UTC
This seems to have changed as of the below commit.
Note that this applies to the inner entries in the Template Manager dialog after they have been selected - e.g. Presentations - Presentation Backgrounds - Abstract Green. Resizing the window causes the icons to appear.

Adding Cc: to caolanm@redhat.com; Could you possibly take a look at this? Thanks


commit a73475cecdac393b40c34770be65be40bf05e011
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Tue Dec 30 15:54:34 2014 +0000

    DockingWindow will need a timer after all
    
    to update layout after initial show when
    contents change
    
    Change-Id: I8edbe84fa366cdb04dbfe5e479dc01cbf04dbf4c
Comment 3 Jean-Baptiste Faure 2015-04-27 04:47:17 UTC
If you change the size of the window, the buttons will be visible.

Best regards. JBF
Comment 4 Commit Notification 2015-06-07 16:42:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=81fb7720e5e40858a43ad6639f71bb125091aefb

Resolves: tdf#89104 Missing actions from toolbar

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-06-07 16:42:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29d0bfee79174ff3b49e3abf4ba10816bfe718b3&h=libreoffice-5-0

Resolves: tdf#89104 Missing actions from toolbar

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 08:46:06 UTC Comment hidden (obsolete)